Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Interface PrincipalClassManager

public interface PrincipalClassManager

This interface defines a manager for principal classs <p/> NOTE: This interface is for Oracle-internal use only and is subject to change without notice.

Method Summary
`boolean` | `addPrincipalClass(PrincipalClassDesc principalClassDesc)` Registers a new principal class with the system.
`PrincipalClassDesc` | `getPrincipalClass(java.lang.String principalClassName)` Returns specified principal class descriptor
`java.util.Collection` | `getPrincipalClasses()` Returns all the managed principal classes.
`boolean` | `removePrincipalClass(java.lang.String principalClassName, boolean cascade)` Unregisters an existing principal class from the system.

Method Detail

### getPrincipalClasses

    public java.util.Collection getPrincipalClasses()
                                             throws JAZNException

  Returns all the managed principal classes.
  Throws:
    `JAZNException`

### addPrincipalClass

    public boolean addPrincipalClass(PrincipalClassDesc principalClassDesc)
                              throws JAZNException

  Registers a new principal class with the system.
  Throws:
    `JAZNException`

### removePrincipalClass

    public boolean removePrincipalClass(java.lang.String principalClassName,
                                        boolean cascade)
                                 throws JAZNException

  Unregisters an existing principal class from the system.
  Throws:
    `JAZNException`

### getPrincipalClass

    public PrincipalClassDesc getPrincipalClass(java.lang.String principalClassName)

  Returns specified principal class descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.